%define version 4.4.0

%define realname MSSQL
%define modname mssql
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 46_%{modname}.ini
%define mod_src php_mssql.c
%define mod_lib "-lsybdb_mssql -I%{_includedir}/freetds_mssql"
%define mod_def "-DHAVE_DLFCN_H -DCOMPILE_DL_MSSQL -DHAVE_MSSQL -DHAVE_FREETDS"

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	%{version}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net
Requires:	freetds_mssql >= 0.62.4
BuildRequires:  php4-devel
BuildRequires:	freetds_mssql-devel >= 0.62.4
Conflicts:	php4-sybase
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php4-devel/extensions/%{dirname}/* .

%build

%{_usrsrc}/php4-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

#php4ize
#%%configure2_5x \
#    --with-%{modname}=shared,%{_prefix}
#
#%%make
#mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%postun
# rerun ldconfig to ensure it removes links to freetds lib
ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-7mdk
- rebuilt against latest freetds libs

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-6mdk
- use the %%mkrel macro

* Sat Feb 19 2005  Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-5mdk
- fix #13800

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-4mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-2mdk
- switch to php4ize

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- rebuild for php 4.3.9

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Tue Sep 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-2mdk
- conflicts php-sybase
- fix explicit-lib-dependency

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- used the php-sybase spec file as the template
- initial cooker contrib
- close #4001
